Package com.sun.jna.platform.win32

# Class OaIdl.INVOKEKIND

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.OaIdl.INVOKEKIND

Direct Known Subclasses:
  `OaIdl.INVOKEKIND.ByReference`

Enclosing interface:
  OaIdl

@FieldOrder("value") public static class OaIdl.INVOKEKIND extends Structure

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `OaIdl.INVOKEKIND.ByReference`

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final OaIdl.INVOKEKIND`
  `INVOKE_FUNC`
  `static final OaIdl.INVOKEKIND`
  `INVOKE_PROPERTYGET`
  `static final OaIdl.INVOKEKIND`
  `INVOKE_PROPERTYPUT`
  `static final OaIdl.INVOKEKIND`
  `INVOKE_PROPERTYPUTREF`
  `int`
  `value`

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `INVOKEKIND()`
  `INVOKEKIND(int value)`

- ## Method Summary

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### INVOKE_FUNC

    public static final OaIdl.INVOKEKIND INVOKE_FUNC

  - ### INVOKE_PROPERTYGET

    public static final OaIdl.INVOKEKIND INVOKE_PROPERTYGET

  - ### INVOKE_PROPERTYPUT

    public static final OaIdl.INVOKEKIND INVOKE_PROPERTYPUT

  - ### INVOKE_PROPERTYPUTREF

    public static final OaIdl.INVOKEKIND INVOKE_PROPERTYPUTREF

  - ### value

    public int value

- ## Constructor Details

  - ### INVOKEKIND

    public INVOKEKIND()

  - ### INVOKEKIND

    public INVOKEKIND(int value)